Get redacted audio
curl --request GET \
--url https://api.assemblyai.com/v2/transcript/{transcript_id}/redacted-audio \
--header 'Authorization: <api-key>'import requests
url = "https://api.assemblyai.com/v2/transcript/{transcript_id}/redacted-audio"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.assemblyai.com/v2/transcript/{transcript_id}/redacted-audio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"redacted_audio_url": "https://s3.us-west-2.amazonaws.com/api.assembly.ai.usw2/redacted-audio/785efd9e-0e20-45e1-967b-3db17770ed9f.wav?AWSAccessKeyId=aws-access-key0id&Signature=signature&x-amz-security-token=security-token&Expires=1698966551",
"status": "redacted_audio_ready"
}{
"error": "This is a sample error message"
}{
"error": "Authentication error, API token missing/invalid"
}{
"error": "Not found"
}{
"error": "Too Many Requests"
}{
"error": "Internal Server Error"
}transcript
Get redacted audio
Retrieve the redacted audio object containing the status and URL to the redacted audio.
GET
/
v2
/
transcript
/
{transcript_id}
/
redacted-audio
Get redacted audio
Authorizations
Path Parameters
ID of the transcript
⌘I